Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455753

Summary: update to latest release 0.9.8j , for fedora 11
Product: [Fedora] Fedora Reporter: acount closed by user <a1459440>
Component: opensslAssignee: Tomas Mraz <tmraz>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.openssl.org/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-15 10:28:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description acount closed by user 2008-07-17 15:42:35 UTC
http://www.openssl.org/news/secadv_20080528.txt

OpenSSL Security Advisory [28-Mar-2008]

Two moderate severity security flaws have been fixed in OpenSSL
0.9.8h.  The OpenSSL security team would like to thank Codenomicon for
reporting these issues.


OpenSSL Server Name extension crash
-----------------------------------

Testing using the Codenomicon TLS test suite discovered a flaw in the
handling of server name extension data in OpenSSL 0.9.8f and OpenSSL
0.9.8g.  If OpenSSL has been compiled using the non-default TLS server
name extensions, a remote attacker could send a carefully crafted
packet to a server application using OpenSSL and cause it to crash.
(CVE-2008-0891).

Please note this issue does not affect any other released versions of
OpenSSL, and does not affect versions compiled without TLS server name
extensions.

Users of OpenSSL 0.9.8f or 0.9.8g should update to the OpenSSL 0.9.8h
release which contains a patch to correct this issue.


OpenSSL Omit Server Key Exchange message crash
----------------------------------------------

Testing using the Codenomicon TLS test suite discovered a flaw if the
'Server Key exchange message' is omitted from a TLS handshake in
OpenSSL 0.9.8f and OpenSSL 0.9.8g.  If a client connects to a
malicious server with particular cipher suites, the server could cause
the client to crash.  (CVE-2008-1672).

Please note this issue does not affect any other released versions of
OpenSSL.

Users of OpenSSL 0.9.8f or 0.9.8g should update to the OpenSSL 0.9.8h
release which contains a patch to correct this issue.

Comment 1 Tomas Mraz 2008-07-17 16:02:29 UTC
Both issues are patched in all current Fedora builds including rawhide.

I'll look at 0.9.8h whether it changes ABI or not. If not, I'll update in
rawhide to 0.9.8h anyway.


Comment 2 acount closed by user 2008-08-16 11:10:01 UTC
> I'll look at 0.9.8h whether it changes ABI or not. If not, I'll update in
> rawhide to 0.9.8h anyway. 

some news ? or should I close the bug ?

-thanks-

Comment 3 Tomas Mraz 2008-08-25 14:43:39 UTC
Unfortunately I'll probably not be able to update it for Fedora 10 but I'll do it after the release in the new rawhide.

Comment 4 acount closed by user 2008-09-15 13:32:41 UTC
OpenSSL 0.9.8i is now available, including important bug fixes

Comment 5 Bug Zapper 2008-11-26 02:34:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 acount closed by user 2009-01-07 23:04:40 UTC
07-Jan-2009: Security Advisory: incorrect checks for malformed signatures

http://www.openssl.org/news/secadv_20090107.txt

Comment 7 Tomas Mraz 2009-01-15 10:28:35 UTC
Done.